List Licenses

List Licenses
List all licenses

List all licenses.

Request
URI
GET
https://{api_host}/licensing/licenses
COPY
Query Parameters
boolean
include_raw_license_json
Optional

Use this request param when raw license json is also expected in response.


Authentication
This operation uses the following authentication methods.
Responses
200

List all licenses.

Returns LicenseList of type(s) application/json
This response body class contains all of the following: ListResult , InlineLicenseList1
{
    "total_result_count": 1,
    "results": [
        {
            "license_id": "AAAAA-0VJD1-J83NN-0902K-CXEL0",
            "product_display_name": "vDefend Firewall with ATP",
            "product_family": "VMware vDefend",
            "quantity": 100,
            "sku_code": "ANS-FW-ATP-B",
            "unit_of_measure": "CORES",
            "expiration_date": 1751274000000,
            "expiration_pre_warning": "P60D",
            "grace_period": "P90D",
            "inactive_grace_period": "P07D",
            "inactive_grace_period_enabled": false,
            "subscriptions": [
                {
                    "serial_number": "SN1234",
                    "allocation_quantity": 500,
                    "start_date": 1577869200000,
                    "end_date": 1924938000000
                }
            ],
            "license_warnings": [
                {
                    "warning_date": 1735722000000,
                    "warning_reason": "USAGE_DUE",
                    "pre_warning_period": "P60D"
                }
            ],
            "raw_license_json": "<RAW_LICENSE_JSON>"
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/licensing/licenses